%define major 0
# set bootstrap to 1 for initial generation of 
# libglade. Then generate gal and gnome-db, and
# regenerate libglade with bootstrap to 0
%define bootstrap 0

Summary: Libglade allows dynamic load of user interface from am XML description.
Name: libglade
Version: 0.16
Release: 8mdk
License: LGPL
Group: System/Libraries
Source: ftp://ftp.daa.com.au/pub/james/gnome/%{name}-%{version}.tar.bz2
# (fc) 0.16-6mdk compile with gnome-db >= 0.2.10
Patch0: libglade-0.16-gnomedb.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}
URL: http://www.daa.com.au/~james/gnome/
Requires: gtk+
Requires: libxml 
Requires: libbonobo >= 0.17
Requires: gnome-print >= 0.24
%if %{bootstrap}
%else
Requires: libgnome-db0 >= 0.2.10
%endif
BuildRequires: db1-devel
BuildRequires: GConf-devel
BuildRequires: gdk-pixbuf-devel 
BuildRequires: gnome-print-devel >= 0.24 
BuildRequires: libxml-devel 
BuildRequires: oaf-devel 
BuildRequires: popt-devel 
%if %{bootstrap}
%else
BuildRequires: libgnome-db0-devel >= 0.2.10
%endif

%description
This library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

The interfaces can also be edited with GLADE.

%package -n %{name}%{major}
Summary: Libglade allows dynamic load of user interface from am XML description.
Group: System/Libraries
Provides: %{name} = %{version}
Obsoletes: %{name}

%description -n %{name}%{major}
This library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

The interfaces can also be edited with GLADE.

%package -n %{name}-bonobo%{major}
Summary: Bonobo part of the libglade 
Group: System/Libraries

%description -n %{name}-bonobo%{major}
This is the bonobo part of libglade.
The library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

%package -n %{name}-gnome%{major}
Summary: GNOME part of the libglade 
Group: System/Libraries

%description -n %{name}-gnome%{major}
This is the gnome part of libglade.
The library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

%package -n %{name}-gnome-db%{major}
Summary: GNOME-DB part of the libglade 
Group: System/Libraries

%description -n %{name}-gnome-db%{major}
This is the gnomedb part of libglade.
The library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.


%package -n %{name}%{major}-devel
Summary: Libraries, includes, etc to develop libglade applications
Group: Development/GNOME and GTK+
Requires: libxml-devel 
Requires: gnome-libs-devel
Requires: %{name}-gnome%{major} = %version
Requires: %{name}-bonobo%{major} = %version
%if %{bootstrap}
%else
Requires: %{name}-gnome-db%{major} = %version
%endif
Requires: %{name}%{major} = %version
Provides: %{name}-devel = %{version}
Obsoletes: %{name}-devel

%description -n %{name}%{major}-devel
Libraries, include files, etc you can use to develop libglade applications.


%prep
%setup -q
%patch0 -p1 -b .gnomedb

# (fc) 0.16-6mdk force regeneration of configure with latest libtool
aclocal -I macros
autoconf
automake

%build

%configure \
%if %{bootstrap}
  --disable-gnomedb \
%endif
  --enable-bonobo 

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}%{major} -p /sbin/ldconfig

%postun -n %{name}%{major} -p /sbin/ldconfig

%post -n %{name}-bonobo%{major} -p /sbin/ldconfig

%postun -n %{name}-bonobo%{major} -p /sbin/ldconfig

%post -n %{name}-gnome%{major} -p /sbin/ldconfig

%postun -n %{name}-gnome%{major} -p /sbin/ldconfig

%post -n %{name}-gnome-db%{major} -p /sbin/ldconfig

%postun -n %{name}-gnome-db%{major} -p /sbin/ldconfig


%files -n %{name}%{major}
%defattr(-, root, root)
%{_libdir}/libglade.so.*

%files -n %{name}-bonobo%{major}
%defattr(-, root, root)
%{_libdir}/libglade-bonobo.so.*

%files -n %{name}-gnome%{major}
%defattr(-, root, root)
%{_libdir}/libglade-gnome.so.*

%if %{bootstrap}
%else

%files -n %{name}-gnome-db%{major}
%defattr(-, root, root)
%{_libdir}/libglade-gnomedb.so.*

%endif

%files -n %{name}%{major}-devel
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
%doc test-libglade.c
%doc *.glade
%doc %{_datadir}/gnome/html/libglade
%{_bindir}/*
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/glade
%{_datadir}/aclocal/*
%{_libdir}/*.sh
%{_libdir}/pkgconfig/*

%changelog
* Fri Aug 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-8mdk
- Fix missing obsoletes

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 0.16-7mdk
- BuildRequires: db1-devel
- BuildRequires: GConf-devel
- BuildRequires: oaf-devel
- BuildRequires: popt-devel
- Removed BuildRequires:	ORBit-devel
- Removed BuildRequires:	XFree86-devel
- Removed BuildRequires:	audiofile-devel
- Removed BuildRequires:	esound-devel
- Removed BuildRequires:	gnome-libs-devel
- Removed BuildRequires:	imlib-devel
- Removed BuildRequires:	libbonobo-devel
- Removed BuildRequires:	libjpeg-devel
- Removed BuildRequires:	libpng-devel
- Removed BuildRequires:	libtiff-devel
- Removed BuildRequires:	zlib-devel

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-6mdk
- Rebuild against latest gnome-db
- Patch 0 : compile with gnome-db 0.2.10

* Tue Jun  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-5mdk
-  from Yves Mettier :
   - Add a test on bootstrap: if 1, libglade-devel does not need libglade-gnome-db

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-4mdk
- Regenerated against latest gnome-db

* Mon Mar 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-3mdk
- Add bootstrap support

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-2mdk
- Add dependencies for devel package
- Recompiled against latest gnome-print/gnome-db

* Tue Feb 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-1mdk
- Release 0.16

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-4mdk
- Recompiled with oaf 0.6.2

* Tue Dec 19 2000 Vincent Saugey <vince@mandrakesoft.com> 0.15-3mdk
- Add correct provie liglade = version

* Wed Dec  6 2000 Vincent Saugey <vince@mandrakesoft.com> 0.15-2mdk
- add provides libglade-version

* Wed Nov 29 2000 Vincent Saugey <vince@mandrakesoft.com> 0.15-1mdk
- Slipt lib in three package (general, bonobo, gnome)
- Up to 0.15
- make compliant to new mdk lib policy

* Tue Oct 31 2000 Vincent Saugey <vince@mandrakesoft.com> 0.14-6mdk
- Patch for gcc 2.96 (remove pragma command, it will be already made in libglade cvs)

* Thu Oct 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.14-5mdk
- recompiled with gnome-print 0.24

* Tue Sep 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-4mdk
- Patch to build against latest version of bonobo

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.14-3mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-2mdk
- recompile with new version of gnome-libs (remove dependency on libasound)
- clean spec

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-1mdk
- release 0.14 (from helix)
- BM + macrozification)

* Mon Jul 17 2000 dam's <damien@mandrakesoft.com> 0.13-2mdk
- build against new bonobo.
- new patch libglade-0.13-bonobo.patch

* Thu Jun  8 2000 dam's <damien@mandrakesoft.com> 0.13-1mdk
- release from helix.

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.12-1mdk
- release from helix
- libglade devel requires gnome-libs-devel instead of gtk+-libs

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 0.11-2mdk
- adjust group + some cleanup .

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.11

* Sat Nov 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.9 (This one *really* corrects the "translating of empty strings" bug)
- corrected a little the %files section (the directories named after the
  package name must be included too)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7

* Tue Sep 14 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- get latest CVS version; it corrects an annoying bug (gettext() was
  called on empty strings; with the result of having the po fiels header
  being displayed, instead of empty text. it is corrected now)

* Tue Sep 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.5

* Sat Sep 04 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.4

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus permissions

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.3

* Tue Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to Mandrake

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>
- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>
- Initial release 0.0.1

